# $Revision: 1.8 $, $Date: 2008/07/27 22:31:53 $
#
# Conditional build:
%bcond_without	tests	# do perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Date
%define		pnam	Easter
Summary:	Date::Easter - calculate Easter for any given year
Summary(pl.UTF-8):	Date::Easter - obliczanie daty Wielkanocy w danym roku
Name:		perl-Date-Easter
Version:	1.14
Release:	2
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9a6e8aa50ffdc1958dc3d9585e22422f
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Date::Easter is a Perl module for calculating Easter for a given year.

%description -l pl.UTF-8
Date::Easter jest modułem Perla do obliczania daty Wielkanocy w danym
roku.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%{perl_vendorlib}/Date/Easter.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Date-Easter.spec,v $
Revision 1.8  2008/07/27 22:31:53  arekm
- release 2

Revision 1.7  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.5  2004/11/03 22:30:17  paladine
- formatting

Revision 1.4  2004/06/05 18:10:37  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.3  2004/04/19 22:22:14  ankry
- license/description fixes

Revision 1.2  2004/04/11 22:56:32  qboosh
- License fix, pl, doc, noarch

Revision 1.1  2004/04/11 16:35:44  agaran
new spec
